Package org.pushingpixels.flamingo.internal.ui.common

# Class CommandButtonLayoutManagerSmall

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.CommandButtonLayoutManagerSmall

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `CommandButtonLayoutManager`

public class CommandButtonLayoutManagerSmall extends Object implements CommandButtonLayoutManager

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.pushingpixels.flamingo.api.common.CommandButtonLayoutManager

`CommandButtonLayoutManager.CommandButtonLayoutInfo, CommandButtonLayoutManager.CommandButtonSeparatorOrientation, CommandButtonLayoutManager.TextLayoutInfo`

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonLayoutManagerSmall()`

## Method Summary

Modifier and Type
Method
Description
`Point`
`getKeyTipAnchorCenterPoint(AbstractCommandButton commandButton)`
Returns the anchor center point of the key tip of the specified command button.
`CommandButtonLayoutManager.CommandButtonLayoutInfo`
`getLayoutInfo(AbstractCommandButton commandButton, Graphics g)`
Returns the layout information for the specified command button.
`int`
`getPreferredIconSize()`
Returns the preferred icon size of command buttons which use this layout manager.
`Dimension`
`getPreferredSize(AbstractCommandButton commandButton)`
Returns the preferred size of the specified command button.
`void`
`propertyChange(PropertyChangeEvent evt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandButtonLayoutManagerSmall

public CommandButtonLayoutManagerSmall()

## Method Details

### getPreferredIconSize

public int getPreferredIconSize()
Description copied from interface: `CommandButtonLayoutManager`
Returns the preferred icon size of command buttons which use this layout manager.

Specified by:
  `getPreferredIconSize` in interface `CommandButtonLayoutManager`
Returns:
  The preferred icon size of command buttons which use this layout manager.

### getPreferredSize

public Dimension getPreferredSize(AbstractCommandButton commandButton)
Description copied from interface: `CommandButtonLayoutManager`
Returns the preferred size of the specified command button.

Specified by:
  `getPreferredSize` in interface `CommandButtonLayoutManager`
Parameters:
  `commandButton` - Command button.
Returns:
  The preferred size of the specified command button.

### propertyChange

public void propertyChange(PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### getKeyTipAnchorCenterPoint

public Point getKeyTipAnchorCenterPoint(AbstractCommandButton commandButton)
Description copied from interface: `CommandButtonLayoutManager`
Returns the anchor center point of the key tip of the specified command button.

Specified by:
  `getKeyTipAnchorCenterPoint` in interface `CommandButtonLayoutManager`
Parameters:
  `commandButton` - Command button.
Returns:
  The anchor center point of the key tip of the specified command button.

### getLayoutInfo

public CommandButtonLayoutManager.CommandButtonLayoutInfo getLayoutInfo(AbstractCommandButton commandButton, Graphics g)
Description copied from interface: `CommandButtonLayoutManager`
Returns the layout information for the specified command button.

Specified by:
  `getLayoutInfo` in interface `CommandButtonLayoutManager`
Parameters:
  `commandButton` - Command button.
  `g` - Graphics context.
Returns:
  The layout information for the specified command button.